php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #77835 PECL fails to install ds-1.2.7
Submitted: 2019-04-03 09:28 UTC Modified: -
Votes:2
Avg. Score:5.0 ± 0.0
Reproduced:2 of 2 (100.0%)
Same Version:0 (0.0%)
Same OS:0 (0.0%)
From: leslaw dot kopec at dreamlab dot pl Assigned:
Status: Open Package: PECL website (PECL)
PHP Version: Irrelevant OS: Ubuntu 16.04
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: leslaw dot kopec at dreamlab dot pl
New email:
PHP Version: OS:

 

 [2019-04-03 09:28 UTC] leslaw dot kopec at dreamlab dot pl
Description:
------------
I'm trying to install ds version 1.2.7 I'm getting the following error:

$ pecl -v install -f ds-1.2.7
Package "ds" Version "1.2.7" does not have REST xml available
Cannot initialize 'channel://pecl.php.net/ds-1.2.7', invalid or missing package file
Package "channel://pecl.php.net/ds-1.2.7" is not valid
install failed

It seems that this is due to https://pecl.php.net/rest/r/ds/1.2.7.xml returning "404 Not Found". PEAR internally reports:

File https://pecl.php.net:443/rest/r/ds/1.2.7.xml not valid (received: HTTP/1.1 404 Not Found)

Other versions of ds extension seem to have a proper XML file and can be installed without a problem.

Test script:
---------------
pecl install -f ds-1.2.7

Expected result:
----------------
PECL installs the ds extension in 1.2.7 version.

Actual result:
--------------
$ pecl install -f ds-1.2.7
Package "ds" Version "1.2.7" does not have REST xml available
install failed

Patches

Add a Patch

Pull Requests

Add a Pull Request

 
PHP Copyright © 2001-2020 The PHP Group
All rights reserved.
Last updated: Thu Feb 20 22:01:29 2020 UTC